/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean;

import org.ow2.petals.jmx.api.api.DeploymentServiceClient.State;

/**
 * A Mbean implementation for the deployment service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class DeploymentService implements DeploymentServiceMBean {

    @Override
    public boolean forceUndeploy(final String name) {
        return false;
    }

    @Override
    public String[] getServiceUnitForServiceAssembly(final String saName) throws Exception {
        return null;
    }

    @Override
    public String[] shutdownAllServiceAssemblies() {
        return null;
    }

    @Override
    public String[] startAllServiceAssemblies() {
        return null;
    }

    @Override
    public String[] stopAllServiceAssemblies() {
        return null;
    }

    @Override
    public String[] undeployAllServiceAssemblies(final boolean force) {
        return null;
    }

    @Override
    public boolean canDeployToComponent(final String componentName) {
        return false;
    }

    @Override
    public String deploy(final String serviceAssemblyZipUrl) throws Exception {
        return null;
    }

    @Override
    public String[] getComponentsForDeployedServiceAssembly(final String serviceAssemblyName) throws Exception {
        return null;
    }

    @Override
    public String[] getDeployedServiceAssemblies() throws Exception {
        return new String[] {};
    }

    @Override
    public String[] getDeployedServiceAssembliesForComponent(final String componentName) throws Exception {
        return null;
    }

    @Override
    public String[] getDeployedServiceUnitList(final String componentName) throws Exception {
        return null;
    }

    @Override
    public String getServiceAssemblyDescriptor(final String serviceAssemblyName) throws Exception {
        return null;
    }

    @Override
    public String getState(final String serviceAssemblyName) throws Exception {
        return State.UNKNOWN.toString();
    }

    @Override
    public boolean isDeployedServiceUnit(final String componentName, final String serviceUnitName) throws Exception {
        return false;
    }

    @Override
    public String shutDown(final String serviceAssemblyName) throws Exception {
        return null;
    }

    @Override
    public String start(final String serviceAssemblyName) throws Exception {
        return null;
    }

    @Override
    public String stop(final String serviceAssemblyName) throws Exception {
        return null;
    }

    @Override
    public String undeploy(final String serviceAssemblyName) throws Exception {
        return null;
    }
}
