/**
 * Copyright (c) 2009-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.configuration.component;

import javax.management.MBeanServerConnection;
import javax.management.ObjectName;

import org.ow2.petals.jmx.api.api.configuration.component.RuntimeConfigurationComponentClient;

/**
 * @author Adrien Ruffie - EBM WebSourcing
 */
public class RuntimeConfigurationComponentClientImpl extends AbstractConfigurationComponentClientImpl
        implements RuntimeConfigurationComponentClient {

    public RuntimeConfigurationComponentClientImpl(final ObjectName mbeanName, final String petalsDomain,
            final MBeanServerConnection beanServerConnection) {
        super(mbeanName, petalsDomain, beanServerConnection);
    }
}
