/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean;

import javax.jbi.JBIException;
import javax.jbi.messaging.MessageExchange;
import javax.jbi.servicedesc.ServiceEndpoint;
import javax.management.ObjectName;

/**
 * A Mbean implementation for the administration service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class AdminService implements AdminServiceMBean {

    @Override
    public ObjectName[] getBindingComponents() {
        return null;
    }

    @Override
    public ObjectName getComponentByName(final String name) {
        return null;
    }

    @Override
    public ObjectName[] getEngineComponents() {
        return null;
    }

    @Override
    public String getSystemInfo() {
        return null;
    }

    @Override
    public ObjectName getSystemService(final String serviceName) {
        return null;
    }

    @Override
    public ObjectName[] getSystemServices() {
        return null;
    }

    @Override
    public boolean isBinding(final String componentName) {
        return false;
    }

    @Override
    public boolean isEngine(final String componentName) {
        return false;
    }

    @Override
    public boolean isExchangeWithProviderOkayForComponent(String componentName, ServiceEndpoint internalEndpoint,
            MessageExchange exchange) throws JBIException {
        return false;
    }

    @Override
    public boolean isExchangeWithConsumerOkayForComponent(String componentName, ServiceEndpoint internalEndpoint,
            MessageExchange exchange) throws JBIException {
        return false;
    }
}
